package com.koobietech.eas.controller;

import com.koobietech.eas.common.constant.UserType;
import com.koobietech.eas.common.pojo.JwtUserDto;
import com.koobietech.eas.common.service.RedisService;
import com.koobietech.eas.common.utils.JwtManager;
import com.koobietech.eas.common.utils.PasswordManager;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;


@SpringBootTest
class ControllerApplicationTests {

    @Resource
    RedisService redisService;

    @Resource
    JwtManager jwtManager;

    @Test
    void contextLoads() {

        JwtUserDto jwtUserDto = new JwtUserDto();

        jwtUserDto.setType(UserType.TEACHER);
        jwtUserDto.setId(12L);
        jwtUserDto.setUsername("李四");

        String jwt = jwtManager.createJwt(jwtUserDto);
        redisService.set("jwttoken", jwt);



    }

}
