package com.koobietech.eas.controller;

import com.koobietech.eas.dao.dto.TestDto;
import com.koobietech.eas.mbg.model.EasSysStudent;
import com.koobietech.eas.service.DemoService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Tag(name = "用户控制器")
public class EasUserController {

    @Resource
    DemoService demoService;

    @PostMapping("/test")
    @Operation(summary = "控制器测试用例" , description = "用于演示Swagger配置注解")
    public List<EasSysStudent> test(@RequestBody TestDto dto){

        return demoService.test( dto );
    }

}
